.documents-page {
    margin-top: 60px;
    padding: 60px 0;
    background: #f8f9fb;
}

/* Sidebar */
.filters {
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.05);
    position: sticky;
    top: 151px;
    
}

.filter-title {
    font-weight: 600;
    margin-bottom: 20px;
    font-size: 25px;
    color: var(--primary-color);
}

.filter-group {
    margin-bottom: 20px;
}

.filter-group label {
    font-weight: 500;
    margin-bottom: 8px;
    display: block;
}

.filter-group.checkbox  {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
}

.filter-group.checkbox input{
    width: 10%;
}

.btn-filter {
    width: 100%;
    background: var(--primary-color);
    color: #fff;
    border: none;
    padding: 10px;
    border-radius: 8px;
    transition: 0.3s;
}

.btn-filter:hover {
    background: #162d6b;
}


/* Documents */
.document-card {
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    margin-bottom: 20px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.05);
    transition: 0.3s;
}

.document-card:hover {
    transform: translateY(-3px);
}

.doc-title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 10px;
    color: #1e293b;
}

.doc-description {
    color: #64748b;
    margin-bottom: 15px;
}

.doc-meta {
    font-size: 14px;
    color: #475569;
    display: flex;
    justify-content: space-between;
}

.documents-page-wrapper{
    display: flex;
    gap: 20px;
}


.documents-page-wrapper .left{
    width: 30%;
}

.documents-page-wrapper .right{
    width: 70%;
}

.documents-page-wrapper .right .head{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.05);
    position: sticky;
    top: 151px;
    z-index: 999;
}

.documents-page-wrapper .right .head .filter-group {
    margin-bottom: 0;
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 20px;
}

.documents-page-wrapper .right .head .filter-group label {
    margin-bottom: 0;
}

.documents-list .dl-head{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    padding: 29px 0;
}

.documents-list .dl-head img{
    width: 2rem;
    height: auto;
}

@media (max-width: 992px) {
    .documents-page-wrapper .right {
        width: 100%;
    }
    .documents-page-wrapper .right .head {
        top: 179px;
        align-items: flex-start;
        flex-direction: column;
        gap: 20px;
    }
}


.custom-fieldset {
    border: 2px solid #ccc;
    padding: 20px;
    border-radius: 10px;
    position: relative;
    margin-bottom: 1rem;
}

.custom-fieldset legend {
    padding: 5px 15px;
    background: #ccc;
    font-size: 16px;
    font-weight: 600;
    border-radius: 10px;
}


.pagination {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 5px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-top: 40px;
    margin-bottom: 40px;
}

.pagination li a {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    color: #fff;
    background: var(--primary-color);
    text-decoration: none;
    border-radius: 50%;
    -webkit-transition: all cubic-bezier(0.25, 0.46, 0.45, 0.94) 0.4s;
    -o-transition: all cubic-bezier(0.25, 0.46, 0.45, 0.94) 0.4s;
    transition: all cubic-bezier(0.25, 0.46, 0.45, 0.94) 0.4s;
}

.pagination li.current a {
    background-color: #EFEFF6;
}

.alertdanger{
    border: 1px solid #ff0000;
    padding: 2rem;
    text-align: center;
    background: #fff;
    color: #ff0000;
    font-weight: 700;
    font-size: 21px;
    border-radius: 15px;
}
#ajax_listing{
    padding: 1rem;
}

@media (max-width:992px){
    .documents-page-wrapper {
        flex-direction: column;
    }
    .documents-page-wrapper .left {
        width: 100%;
    }
}

#authPopup.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
}

#authPopup.popup-overlay.active {
    opacity: 1;
    visibility: visible;
}

#authPopup .popup-box {
    background: #fff;
    padding: 30px;
    border-radius: 12px;
    width: 400px;
    text-align: center;
    animation: popupFade 0.4s ease;
    position: relative;
}

@keyframes popupFade {
    from {
        transform: translateY(-30px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

#authPopup .popup-box h2 {
    margin-bottom: 15px;
}

#authPopup .popup-box p {
    color: #555;
    margin-bottom: 20px;
}

#authPopup .popup-actions {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

#authPopup .btn {
    flex: 1;
    padding: 10px;
    border-radius: 8px;
    text-decoration: none;
    color: #fff;
    font-weight: bold;
}

#authPopup .btn.login {
    background: var(--primary-color);
    color: #fff !important;
}

#authPopup .btn.subscribe {
    background: var(--secondary-color);
}

#authPopup .close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    cursor: pointer;
    font-size: 22px;
}

